[Fusionforge-commits] r13200 - trunk/tests/scripts

Christian Bayle cbayle at fusionforge.org
Thu Apr 21 15:12:45 CEST 2011


Author: cbayle
Date: 2011-04-21 15:12:44 +0200 (Thu, 21 Apr 2011)
New Revision: 13200

Modified:
   trunk/tests/scripts/phpunit.sh
Log:
Allow to add phpunit args, convenient for filtering


Modified: trunk/tests/scripts/phpunit.sh
===================================================================
--- trunk/tests/scripts/phpunit.sh	2011-04-21 12:09:47 UTC (rev 13199)
+++ trunk/tests/scripts/phpunit.sh	2011-04-21 13:12:44 UTC (rev 13200)
@@ -1,5 +1,5 @@
 #! /bin/sh
-if [ $# -eq 1 ]
+if [ $# -ge 1 ]
 then
         testsuite=$1
 else
@@ -75,7 +75,7 @@
 LANG=C java -jar selenium-server.jar -browserSessionReuse -singleWindow >/dev/null &
 #LANG=C java -jar selenium-server.jar -singleWindow >/dev/null &
 cd tests
-phpunit --log-junit $SELENIUM_RC_DIR/phpunit-selenium.xml $testsuite || retcode=$?
+phpunit --log-junit $SELENIUM_RC_DIR/phpunit-selenium.xml $2 $testsuite || retcode=$?
 cd ..
 # on debian
 killall -9 firefox-bin




More information about the Fusionforge-commits mailing list